# Radiance Parameter

![](https://2572426507-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Ma9X8PomX22wWVDNCoj%2Fuploads%2Fgit-blob-7767f9e79f914be57df89ea5d0b29ac36d81cfb0%2FRadiance_Parameter.png?alt=media)

![](https://2572426507-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Ma9X8PomX22wWVDNCoj%2Fuploads%2Fgit-blob-b5d5206f7f88e73cecd7480e16cc1050047c98b2%2FRadiance_Parameter.png?alt=media) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-radiance/blob/master/honeybee_grasshopper_radiance/src/HB%20Radiance%20Parameter.py)

Get recommended Radiance parameters given a recipe type and a level of detail.

The original recommendation for the various Radiance paramters comes from this document. <http://radsite.lbl.gov/radiance/refer/Notes/rpict_options.html>

This presentation by John Mardaljevic gives a good overview of the meaning of each radiance paramter. <http://radiance-online.org/community/workshops/2011-berkeley-ca/presentations/day1/JM_AmbientCalculation.pdf>

## Inputs

* **recipe\_type \[Required]**

  An integer or text for the type of recipe. Acceptable text inputs are either the full text of the recipe type (eg. point-in-time-grid) or the name of the Radiance command for which the parameters are being used (eg. rtrace). Choose from the following options.

  * 0 | rtrace | point-in-time-grid | daylight-factor
  * 1 | rpict | point-in-time-view
  * 2 | rfluxmtx | annual
* **detail\_level**

  An integer or text for the level of detail/quality for which radiance parameters will be output. (Default: 0 for low). Choose from the following options.

  * 0 | low
  * 1 | medium
  * 2 | high
* **additional\_par**

  Text to override the Radiance parameters as needed. Radiance's standard syntax must be followed (e.g. -ps 1 -lw 0.01).&#x20;

## Outputs

* **rad\_par**

  Radiance parameters as a text string. These can be plugged into the radiance*par* input of the various recipes.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-radiance-primer/components/3_recipes/radiance_parameter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
